List settlement files
curl --request GET \
--url https://financehub.paybyrd.com/api/v1/SettlementFiles \
--header 'x-api-key: <api-key>'import requests
url = "https://financehub.paybyrd.com/api/v1/SettlementFiles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://financehub.paybyrd.com/api/v1/SettlementFiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"checksum": "ba421754061547e5d80153d3d2923be4",
"createdAt": "2026-05-26T13:11:02.390069-03:00",
"groupId": 1,
"merchantId": 1,
"id": "59188227-0811-4e30-8c57-b8dff2ab07e9",
"url": "https://financehubstoragestg.blob.core.windows.net/settlements-paybyrd/57/87/2026-05-26T16-11-00-4990180%2B0-PaybyrdSettlement.csv"
}
]
}{
"data": {
"problemDetails": {
"type": "ApplicationBadRequestFail",
"title": "Bad request",
"status": 400,
"instance": "bad_request",
"extensions": {}
},
"contentType": "application/problem+json",
"statusCode": 400
}
}{
"data": {
"problemDetails": {
"type": "ApplicationNotFoundFail",
"title": "Settlement file not found with the specified period.",
"status": 404,
"instance": "not_found",
"extensions": {}
},
"contentType": "application/problem+json",
"statusCode": 404
}
}{
"data": {
"problemDetails": {
"type": "ApplicationServerErrorFail",
"title": "Internal server error",
"status": 500,
"instance": "server_error",
"extensions": {}
},
"contentType": "application/problem+json",
"statusCode": 500
}
}Settlement files
List settlement files
Returns a list of settlement files generated within the specified time period. Days with no settlement file are omitted from the results. When more than one file exists for the same day, all files are complementary and must all be processed to obtain complete settlement information.
GET
/
api
/
v1
/
SettlementFiles
List settlement files
Authorizations
Query Parameters
Start of the time period (ISO 8601, UTC, no timezone offset). To retrieve a full day, set this to 00:00:00 of the target date.
End of the time period (ISO 8601, UTC, no timezone offset). To retrieve a full day, set this to 23:59:59 of the target date.
Filter results to files for a specific merchant.
Filter results to files for a specific store.
Response
A list of settlement files for the requested period.
Show child attributes
Show child attributes
⌘I

